Get conversation detail
GET
/api/conversations/{id}
const url = 'https://api.getvespy.com/api/conversations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.getvespy.com/api/conversations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
conversation
required
object
channels
required
Array<string>
createdAt
required
string format: date-time
id
required
string format: uuid
lastMessageAt
required
string format: date-time
latestMessagePreview
required
string
organizationId
required
string format: uuid
participantEmail
required
string format: email
participantId
required
string format: uuid
participantName
required
string
participantPhone
required
string
participantType
required
string
status
required
string
subject
required
string
unreadCount
required
integer
updatedAt
required
string format: date-time
messages
required
Array<object>
object
body
required
string
channel
required
string
conversationId
required
string format: uuid
createdAt
required
string format: date-time
emailMessageId
required
string
externalId
required
string
fromAddress
required
string
id
required
string format: uuid
metadata
required
object
key
additional properties
any
organizationId
required
string format: uuid
senderId
required
string format: uuid
senderName
required
string
senderType
required
string
smsSid
required
string
toAddresses
required
Array<string>
Example
{ "conversation": { "channels": [ "in_app" ], "participantType": "tenant", "status": "open" }, "messages": [ { "channel": "in_app", "senderType": "staff" } ]}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}